package ru.yandex.autotests.directapi.darkside.model;

/**
 * Created by omaz on 30.01.14.
 */
public enum Role {
    SUPERTEAMLEADER("superteamleader", "начальник отдела"),
    SUPPORT("support", "саппорт"),
    SUPER("super", "супер-пользователь"),
    TEAMLEADER("teamleader", "тимлидер"),
    SUPERREADER("superreader", "суперсмотритель"),
    MANAGER("manager", "менеджер"),
    PLACER("placer", "вешальщик"),
    MEDIAPLANNER("media", "медиапланер"),
    INTERNAL_ADMIN("internal_ad_admin", "администратор внутренней рекламы"),
    INTERNAL_MANAGER("internal_ad_manager", "менеджер внутренней рекламы"),
    INTERNAL_SUPERREADER("internal_ad_superreader", "суперридер внутренней рекламы"),
    DEVELOPER("developer", "разработчик"),
    ;

    String roleName;
    String rusRoleName;

    Role(String roleName, String rusRoleName) {
        this.roleName = roleName;
        this.rusRoleName = rusRoleName;
    }

    public String getRoleName() {
        return roleName;
    }

    public String getRusRoleName() {
        return rusRoleName;
    }
}
